picocli

## Class CommandLine.Help.Column

- java.lang.Object
- - picocli.CommandLine.Help.Column

Enclosing class:
  CommandLine.Help

    public static class CommandLine.Help.Column
    extends java.lang.Object

Columns define the width, indent (leading number of spaces in a column before the value) and Overflow policy of a column in a TextTable.

### Nested Class Summary

Nested Classes
`static class` `CommandLine.Help.Column.Overflow` Policy for handling text that is longer than the column width: span multiple columns, wrap to the next row, or simply truncate the portion that doesn't fit.

### Field Summary

Fields
`int` `indent` Indent (number of empty spaces at the start of the column preceding the text value)
`CommandLine.Help.Column.Overflow` `overflow` Policy that determines how to handle values larger than the column width.
`int` `width` Column width in characters

### Constructor Summary

Constructors
Constructor and Description
`CommandLine.Help.Column(int width, int indent, CommandLine.Help.Column.Overflow overflow)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### width

    public final int width

Column width in characters

#### indent

    public final int indent

Indent (number of empty spaces at the start of the column preceding the text value)

#### overflow

    public final CommandLine.Help.Column.Overflow overflow

Policy that determines how to handle values larger than the column width.

### Constructor Detail

#### CommandLine.Help.Column

    public CommandLine.Help.Column(int width,
                           int indent,
                           CommandLine.Help.Column.Overflow overflow)